Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Interface WorklistSystem

    public interface WorklistSystem

Functions related to the running worklist system as a whole

Since:
  9.2

Nested Class Summary
`static class` | `WorklistSystem.OPERATION` Operations for which a Worklist system policy may be set

Method Summary
`String[]` | `getGlobalWorklistSystemPolicy(WorklistSystem.OPERATION operation)` Get the global policy for *all* Worklist system instances that don’t specify their own explicit policy for the given operation type.
`String[]` | `getWorklistSystemPolicy(WorklistSystem.OPERATION operation)` Get the policy that is set for the given operation type.
`void` | `purgeTasks()` Purge all the tasks that have been in their final state for more than the time configured for it.
`void` | `setGlobalWorklistSystemPolicy(WorklistSystem.OPERATION operation, String[] roles)` Set the global policy for *all* Worklist system instances that don’t specify their own explicit policy for the given operation type.
`void` | `setWorklistSystemPolicy(WorklistSystem.OPERATION operation, String[] roles)` Set a simple policy for this Worklist system instance and the given operation type.

Method Detail

### purgeTasks

    void purgeTasks()
                    throws ManagementException,
                           RemoteException

  Purge all the tasks that have been in their final state for more than the time configured for it.

  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `TaskPlan.setTerminalTaskRetentionTime(com.bea.wli.calendar.api.Interval)`, `WorklistSystemMBean.setDefaultTerminalTaskRetentionTime(com.bea.wli.calendar.api.Interval)`

### setGlobalWorklistSystemPolicy

    void setGlobalWorklistSystemPolicy(WorklistSystem.OPERATION operation,
                                       String[] roles)
                                       throws ManagementException,
                                              RemoteException

  Set the global policy for *all* Worklist system instances that don’t specify their own explicit policy for the given operation type. Note, this method is provided for convenience only. BEA recommends you use WorklistAdminMBean instead.

  Note, this method has the same effect regardless of what WorklistSystem instance is used, or what Worklist system instance it comes from.

  To call this method, you must be granted one of the roles listed for the global Worklist System Admin policy (by default this is the Admin or IntegrationAdmin roles). If an unauthorized user attempts this call, a SecurityException will be thrown.

  NOTE: This method will only work when you are using the WLS default authorization provider. If you are using a third-party provider, you must use that provider's tools for assigning the policy to the task plan.

  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `WorklistAdminMBean.setGlobalWorklistSystemPolicy(String, String[])`

### getGlobalWorklistSystemPolicy

    String[] getGlobalWorklistSystemPolicy(WorklistSystem.OPERATION operation)
                                           throws ManagementException,
                                                  RemoteException

  Get the global policy for *all* Worklist system instances that don’t specify their own explicit policy for the given operation type. Note, this method is provided for convenience only. BEA recommends you use WorklistAdminMBean instead.

  Note, this method returns the same value regardless of what WorklistSystem instance is used, or what Worklist system instance it comes from.

  To call this method, you must be granted one of the roles listed for the global Worklist System Admin policy (by default this is the Admin or IntegrationAdmin roles), Query policy (by default this is the everyone group), or Update policy (by default this is Admin, or IntegrationAdmin roles). If an unauthorized user attempts this call, a SecurityException will be thrown.

  NOTE: This method will only work when you are using the WLS default authorization provider. If you are using a third-party provider, you must use that provider's tools for assigning the policy to the task plan.

  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `WorklistAdminMBean.getGlobalWorklistSystemPolicy(String)`

### setWorklistSystemPolicy

    void setWorklistSystemPolicy(WorklistSystem.OPERATION operation,
                                 String[] roles)
                                 throws ManagementException,
                                        RemoteException

  Set a simple policy for this Worklist system instance and the given operation type. The policy is described in terms of the roles which are authorized to perform the given operation on this Worklist system instance.

  To call this method, you must be granted one of the roles listed for this Worklist system instance's Admin policy, or you must be granted one of the roles listed for the global Worklist System Admin policy if this Worklist system instance has not had an explicit policy set for it. If an unauthorized user attempts this call, a SecurityException will be thrown.

  NOTE: This method will only work when you are using the WLS default authorization provider. If you are using a third-party provider, you must use that provider's tools for assigning the policy to the Worklist system instance.

  Parameters:
    `operation` - The type of operation for which the policy is being set.
    `roles` - The roles which are authorized to perform the given operation on tasks of the given type. If roles is empty or null, the policy will be reset to the default/global policy.
  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `setGlobalWorklistSystemPolicy(OPERATION, String[])`

### getWorklistSystemPolicy

    String[] getWorklistSystemPolicy(WorklistSystem.OPERATION operation)
                                     throws ManagementException,
                                            RemoteException

  Get the policy that is set for the given operation type. The policy is described in terms of the roles which are authorized to perform the given operation on this Worklist system instance.

  To call this method, you must be granted one of the roles listed for this Worklist System instance's Admin policy, or you must be granted one of the roles listed for the global Worklist System Admin, Query, or Update policies if this Worklist system instance has not had an explicit policy set for it. If an unauthorized user attempts this call, a SecurityException will be thrown.

  NOTE: This method will only work when you are using the WLS default authorization provider. If you are using a third-party provider, you must use that provider's tools for assigning the policy to the task plan.

  Parameters:
    `operation` - The type of operation for which the policy is being read.
  Returns:
    An array of Strings representing the names of the roles which are authorized to perform the given operation on this Worklist system instance. If the policy is not set on this resource, null will be returned.
  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `getGlobalWorklistSystemPolicy(OPERATION)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD